Bug 879639 - Monitoring : process availability gives wrong status (SIGAR)
Monitoring : process availability gives wrong status (SIGAR)
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity high
: ER01
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On: 879583
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 09:25 EST by Thomas Segismont
Modified: 2014-01-02 15:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 879583
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
active.png (448.15 KB, image/png)
2013-09-30 07:20 EDT, Armine Hovsepyan
no flags Details
inactive.png (450.86 KB, image/png)
2013-09-30 07:20 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Thomas Segismont 2012-11-23 09:25:52 EST
+++ This bug was initially created as a clone of Bug #879583 +++

Description of problem:
When monitoring a process, status update may be wrong for an arbitrary number of availability checks.


Version-Release number of selected component (if applicable):
4.6.0-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Start a test process on an monitored machine (e.g. LibreOffice)
2.For the monitored machine, import a new child resource in RHQ with type process (e.g. with PIQL process|basename|match=^soffice.*)
3.When the process availability shown is "UP", close/kill the test process

  
Actual results:
The availability status is still "UP" for a time longer than the availability check interval.

Expected results:
The availability status should be "DOWN" as soon as the availability check interval has elapsed.


Additional info:
In the ProcessInfo class, the method isRunning uses the SIGAR class ProcState. If the process has been killed or shutdown, the instance of ProcState contains stale data.

--- Additional comment from Thomas SEGISMONT on 2012-11-23 14:30:39 CET ---

In ProcessComponent class, the ProcessInfo instance is refreshed each time a metric collection is made.

So after a metric collection, the next availability check has fresh data to process.

This could explain why, after some time, the closed/killed process is eventually reported "DOWN".
Comment 1 Thomas Segismont 2012-12-10 03:58:25 EST
Fix applied on release/jon3.1.x branch:
34d2887 (cherry-picked from 5c4217e)
ea84700 (cherry-picked from 2ec8d54)
Comment 2 Larry O'Leary 2013-09-06 10:30:42 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 3 Armine Hovsepyan 2013-09-30 07:19:27 EDT
verified
steps:
1. started libre office process
2. changed availability collection from schedules (33 secs)
3. stopped office process
4. in 33 secs office process moved to not-available state
screenshots attached
Comment 4 Armine Hovsepyan 2013-09-30 07:20:15 EDT
Created attachment 805134 [details]
active.png
Comment 5 Armine Hovsepyan 2013-09-30 07:20:58 EDT
Created attachment 805135 [details]
inactive.png

Note You need to log in before you can comment on or make changes to this bug.